/*******************************************************************************
 **
 ** Licensed Materials - Property of IBM
 **
 ** (C) COPYRIGHT International Business Machines Corp. 2000, 2001
 ** All Rights Reserved.
 **
 ******************************************************************************/
#ifndef __CLP_H__
#define __CLP_H__

#include <eikapp.h> 
#include "CLPDocument.h"
#include "CLP.hrh"

/******************************************************************************/
/** Declaration of CONSTANT                                                  **/
/******************************************************************************/

#ifdef _UNICODE
  const TUid KUidCLP = { 0x100097e9 };
#else
  const TUid KUidCLP = { 0x100097e8 };
#endif


/*****************************************************************************
  * class CCLPApplication
  */
class CCLPApplication : public CEikApplication
{
private: // from CApaApplication
  CApaDocument* CreateDocumentL();
  TUid AppDllUid() const;
};

#endif //__CLP_H__
