/*******************************************************************************
 **
 ** Licensed Materials - Property of IBM
 **
 ** (C) COPYRIGHT International Business Machines Corp. 2000, 2001
 ** All Rights Reserved.
 **
 ******************************************************************************/
#include "CLPep.h"

EXPORT_C CCLPEng* CCLPEng::NewL(CCLPObserver *const aObserver)
{
  CCLPEng *result = NewLC(aObserver);
  CleanupStack::Pop();
  return result;
}

EXPORT_C CCLPEng* CCLPEng::NewLC(CCLPObserver *const aObserver)
{
  CCLPEng *result = new (ELeave) CCLPEng (aObserver);
  CleanupStack::PushL(result);
  result->ConstructL();
  return result;
}

extern "C" void callback_print1_ep(void* aepSupport, SQLTCHAR* msg)
{
   STATIC_CAST(CCLPEng* ,aepSupport)->print1_ep(msg);
}

CCLPEng::CCLPEng(CCLPObserver *const aObserver): iObserver(aObserver) {}

void CCLPEng::ConstructL() {}

CCLPEng::~CCLPEng() {}

void CCLPEng::print1_ep(SQLTCHAR* msg)
{
  iObserver->print1_ep(msg);
}
