@echo off
REM *********************************************************
REM * Starting - IconBuild.bat
REM * CLP application icon(s) build for EPOC
REM *********************************************************

setlocal

set _iconname_=SampleCLP

if "%1"=="" goto help
if "%1"=="color" goto color
if "%1"=="mono" goto mono


:color
del %_iconname_%.icn > NUL 2>&1
bmconv CLPColor.ini
move %_iconname_%Color.icn %_iconname_%.icn
set _errcode_=%errorlevel%
goto end

:mono
del %_iconname_%.icn > NUL 2>&1
bmconv CLPMono.ini
move %_iconname_%Mono.icn %_iconname_%.icn
set _errcode_=%errorlevel%
goto end


:help
set _errcode_=1
echo Use this to build and save parts of the AIF for %_iconname_% app
echo iconbuild mono	    build the .mbm file for monochrome screen
echo iconbuild color	build the .mbm file for color screen

:end
endlocal

set errorlevel=%_errcode_%
