/*******************************************************************************
 **
 ** Licensed Materials - Property of IBM
 **
 ** (C) COPYRIGHT International Business Machines Corp. 2000, 2001
 ** All Rights Reserved.
 **
 ******************************************************************************/

#include "CLP.h" 

/******************************************************************************/
/** CCLPApplication CLASS Definitions                                        **/
/******************************************************************************/
  
TUid CCLPApplication::AppDllUid() const
  {
  return(KUidCLP);
  }

CApaDocument* CCLPApplication::CreateDocumentL()
  {
  return(new(ELeave) CCLPDocument(*this));
  }

/******************************************************************************/
/** CApaApplication CLASS Definitions (EXPORTed function from EIKAPP.H)      **/
/******************************************************************************/

EXPORT_C CApaApplication* NewApplication()
  {
  return(new CCLPApplication);
  }

GLDEF_C TInt E32Dll(TDllReason)
  {
  return(KErrNone);
  }
