package java.sql;

/* 
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2000 All Rights Reserved
 */

import java.io.InputStream;
// import java.io.Reader;

public interface Clob {

   public long length() throws SQLException;

   public String getSubString(long pos, int length) throws SQLException;

//   public Reader getCharacterStream() throws SQLException;

   public InputStream getAsciiStream() throws SQLException;

   public long position(String searchstr, long start) throws SQLException;

   public long position(Clob searchstr, long start) throws SQLException;

}

