/******************************************************************************/
/*   IBM Confidential                                                         */
/*                                                                            */
/*   OCO Source Materials.                                                    */
/*                                                                            */
/*   5622-388 (C) Copyright IBM Corp. 1999.                                   */
/*                                                                            */
/*   The source code for this program is not published or otherwise           */
/*   divested of its trade secrets, irrespective of what has been             */
/*   deposited with the U.S. Copyright Office.                                */
/*                                                                            */
/*   Product ID: 5648C61                                                      */
/******************************************************************************/
#ifndef MEMORW_H
#define MEMORW_H

#if defined(oPALMOS)
    //#include <Pilot.h> 
    //#include <SysEvtMgr.h>
  #include <PalmOS.h>
  #include <PalmCompatibility.h>  
 	#include <MemoryMgr.h>
 	//#include <StringMgr.h>
 	//#include <stdarg.h> 
 	//#include <stdio.h>
#endif

#define DB2eCLP_MEMODBNAME  "MemoDB"
#define DB2eCLP_MEMOCATNAME "DB2eSQL"
#define DB2eCLP_MEMOSIZE    4000
#define DB2eCLP_MEMONAMESIZE 80
#define DB2eCLP_MEMOMODESIZE 5

//file handle for memoPad
 typedef struct _memo
 {
   char memoName [DB2eCLP_MEMONAMESIZE];//name
   char mode [DB2eCLP_MEMOMODESIZE];//access mode
   int* pPos; //pointer of read/write operation
   int* pRec_id; //pointer to index of current record
   DmOpenRef *pMemoRef; //pointer to the database reference of the record
   VoidPtr *pMemoHandle; //pointer to the memory chunk of the record
 }memoFILE;
 
 //convert category name to category index 
 int memo_AutoCat(char* catName, DmOpenRef theDB);
 //given the memoHandle, return memo name (the first line of it)
 char* memo_get_name(char *char_buff);
 int memoFeof(memoFILE* stream);
 int memoFflush(memoFILE* stream);
 int memoFread(void* buffer,
			   int element_size,
			   int count,
			   memoFILE* stream);
 int memoFwrite(char *buffer,
				int   element_size,
				int   count,
				memoFILE    *stream);
 int memoFclose(memoFILE* stream);
 memoFILE *memoFopen (char *filename,
				      char *mode);
				
#endif				
